/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.math.BigInteger;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.MGV_ALL_VIEWS")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "MgvAllViews.findAll", query = "SELECT m FROM MgvAllViews m"),
    @NamedQuery(name = "MgvAllViews.findByProjectId", query = "SELECT m FROM MgvAllViews m WHERE m.projectId = :projectId"),
    @NamedQuery(name = "MgvAllViews.findByProjectName", query = "SELECT m FROM MgvAllViews m WHERE m.projectName = :projectName"),
    @NamedQuery(name = "MgvAllViews.findByConnectionId", query = "SELECT m FROM MgvAllViews m WHERE m.connectionId = :connectionId"),
    @NamedQuery(name = "MgvAllViews.findByHost", query = "SELECT m FROM MgvAllViews m WHERE m.host = :host"),
    @NamedQuery(name = "MgvAllViews.findByPort", query = "SELECT m FROM MgvAllViews m WHERE m.port = :port"),
    @NamedQuery(name = "MgvAllViews.findByUsername", query = "SELECT m FROM MgvAllViews m WHERE m.username = :username"),
    @NamedQuery(name = "MgvAllViews.findByCatalogId", query = "SELECT m FROM MgvAllViews m WHERE m.catalogId = :catalogId"),
    @NamedQuery(name = "MgvAllViews.findByCatalogName", query = "SELECT m FROM MgvAllViews m WHERE m.catalogName = :catalogName"),
    @NamedQuery(name = "MgvAllViews.findByDummyFlag", query = "SELECT m FROM MgvAllViews m WHERE m.dummyFlag = :dummyFlag"),
    @NamedQuery(name = "MgvAllViews.findBySchemaId", query = "SELECT m FROM MgvAllViews m WHERE m.schemaId = :schemaId"),
    @NamedQuery(name = "MgvAllViews.findBySchemaName", query = "SELECT m FROM MgvAllViews m WHERE m.schemaName = :schemaName"),
    @NamedQuery(name = "MgvAllViews.findByViewId", query = "SELECT m FROM MgvAllViews m WHERE m.viewId = :viewId"),
    @NamedQuery(name = "MgvAllViews.findByViewName", query = "SELECT m FROM MgvAllViews m WHERE m.viewName = :viewName")})
public class MgvAllViews implements Serializable {

    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @Column(name = "PROJECT_ID")
    private BigInteger projectId;
    @Basic(optional = false)
    @Column(name = "PROJECT_NAME")
    private String projectName;
    @Basic(optional = false)
    @Column(name = "CONNECTION_ID")
    private BigInteger connectionId;
    @Column(name = "HOST")
    private String host;
    @Column(name = "PORT")
    private BigInteger port;
    @Column(name = "USERNAME")
    private String username;
    @Basic(optional = false)
    @Column(name = "CATALOG_ID")
    private BigInteger catalogId;
    @Column(name = "CATALOG_NAME")
    private String catalogName;
    @Column(name = "DUMMY_FLAG")
    private Character dummyFlag;
    @Basic(optional = false)
    @Column(name = "SCHEMA_ID")
    private BigInteger schemaId;
    @Column(name = "SCHEMA_NAME")
    private String schemaName;
    @Basic(optional = false)
    @Column(name = "VIEW_ID")
    private BigInteger viewId;
    @Column(name = "VIEW_NAME")
    private String viewName;

    public MgvAllViews() {
    }

    public BigInteger getProjectId() {
        return projectId;
    }

    public void setProjectId(BigInteger projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public BigInteger getConnectionId() {
        return connectionId;
    }

    public void setConnectionId(BigInteger connectionId) {
        this.connectionId = connectionId;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public BigInteger getPort() {
        return port;
    }

    public void setPort(BigInteger port) {
        this.port = port;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public BigInteger getCatalogId() {
        return catalogId;
    }

    public void setCatalogId(BigInteger catalogId) {
        this.catalogId = catalogId;
    }

    public String getCatalogName() {
        return catalogName;
    }

    public void setCatalogName(String catalogName) {
        this.catalogName = catalogName;
    }

    public Character getDummyFlag() {
        return dummyFlag;
    }

    public void setDummyFlag(Character dummyFlag) {
        this.dummyFlag = dummyFlag;
    }

    public BigInteger getSchemaId() {
        return schemaId;
    }

    public void setSchemaId(BigInteger schemaId) {
        this.schemaId = schemaId;
    }

    public String getSchemaName() {
        return schemaName;
    }

    public void setSchemaName(String schemaName) {
        this.schemaName = schemaName;
    }

    public BigInteger getViewId() {
        return viewId;
    }

    public void setViewId(BigInteger viewId) {
        this.viewId = viewId;
    }

    public String getViewName() {
        return viewName;
    }

    public void setViewName(String viewName) {
        this.viewName = viewName;
    }
    
}
